#include <bits/stdc++.h>

using namespace std;

int main()
{
    int Q,N,L,M,S;
    vector<string>R;
    cin>>N;
    vector<int>A(N), B(N-1);
    for(int i=0;i<N;i++)
    {
        cin>>A[i];
    }
    for(int i=1;i<N;i++)
    {
        B[i-1]=A[i-1]>A[i];
    }
    cin >> Q;
    for(int i=0;i<Q;i++)
    {
        cin>>L>>M;
        S=0;
        for(int j=L-1;j<M-1 && S<2;j++)
        {
            S+=B[j];
        }
        if(S<2)
            R.push_back("DA");
        else R.push_back("NE");
    }
    for(int i=0;i<Q;i++)
        cout<<R[i]<<endl;
}